<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <ImageView
        android:id="@+id/posterBg"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:scaleType="centerCrop" />

    <View
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/black_alpha_60" />

    <com.gh.gamecenter.common.view.StatusBarView
        android:id="@+id/statusBar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />

    <ImageView
        android:id="@+id/backIv"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:layout_below="@+id/statusBar"
        android:paddingLeft="13dp"
        android:paddingRight="11dp"
        android:src="@drawable/ic_toolbar_back_white" />

    <TextView
        android:id="@+id/titleTv"
        android:layout_width="wrap_content"
        android:layout_height="48dp"
        android:layout_below="@+id/statusBar"
        android:layout_centerHorizontal="true"
        android:gravity="center"
        android:text="游戏单介绍"
        android:textColor="@color/white"
        android:textSize="16sp"
        android:textStyle="bold" />

    <TextView
        android:id="@+id/nameTv"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/titleTv"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="38dp"
        android:layout_marginRight="16dp"
        android:includeFontPadding="false"
        android:lineSpacingExtra="6dp"
        android:maxLines="2"
        android:textColor="@color/white"
        android:textSize="22sp"
        android:textStyle="bold"
        tools:text="战役类新游（ 11-12月 ），平衡完美，轻度氪金" />

    <com.google.android.flexbox.FlexboxLayout
        android:id="@+id/tagContainer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/nameTv"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="10dp"
        android:layout_marginRight="16dp"
        app:flexWrap="wrap" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/tagContainer"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="34dp"
        android:layout_marginRight="16dp"
        android:background="@drawable/bg_shape_f2_alpha_10_radius_8"
        android:paddingTop="7dp"
        android:paddingRight="16dp"
        android:paddingBottom="16dp">

        <com.gh.gamecenter.common.view.AvatarBorderView
            android:id="@+id/userIcon"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="7dp"
            app:avatar_width="36dp"
            app:badge_width="12dp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:layout_height="54dp"
            tools:layout_width="54dp" />

        <TextView
            android:id="@+id/userName"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="60dp"
            android:layout_marginRight="36dp"
            android:singleLine="true"
            android:textColor="@color/white"
            android:textSize="16sp"
            app:layout_constraintBottom_toBottomOf="@+id/userIcon"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toLeftOf="@+id/followTv"
            app:layout_constraintTop_toTopOf="@+id/userIcon"
            tools:text="测试用户名测试用户名测试用户名" />

        <TextView
            android:id="@+id/followTv"
            android:layout_width="56dp"
            android:layout_height="28dp"
            android:background="@drawable/button_round_white_alpha_20"
            android:gravity="center"
            android:text="关注"
            android:textColor="@color/white"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="@+id/userIcon"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@+id/userIcon" />

        <View
            android:id="@+id/divider"
            android:layout_width="match_parent"
            android:layout_height="2dp"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="16dp"
            android:background="@color/white_alpha_10"
            app:layout_constraintTop_toBottomOf="@+id/userIcon" />

        <TextView
            android:id="@+id/desTv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="15dp"
            android:includeFontPadding="false"
            android:lineSpacingExtra="7dp"
            android:paddingBottom="8dp"
            android:textColor="@color/white"
            android:textSize="14sp"
            app:layout_constraintTop_toBottomOf="@+id/divider"
            tools:text="第一行一二三四五六七八九十一二三四五六七八第一行一二三四五六七八九十一二三四五六七八第一行一二三四五六七八九十一二三四五六七八" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</RelativeLayout>